## org.apache.commons.configuration.reloading
Interface Reloadable

All Known Implementing Classes:
  AbstractHierarchicalFileConfiguration, CombinedConfiguration, DefaultConfigurationBuilder, DynamicCombinedConfiguration, HierarchicalINIConfiguration, HierarchicalReloadableConfiguration, HierarchicalXMLConfiguration, MultiFileHierarchicalConfiguration, PatternSubtreeConfigurationWrapper, PropertyListConfiguration, SubnodeConfiguration, XMLConfiguration, XMLPropertyListConfiguration

    public interface Reloadable

Interface that allows other objects to synchronize on a root lock.

Since:
  1.7
Version:
  $Id: Reloadable.java 1162387 2011-08-27 16:05:20Z oheger $
Author:
  Commons Configuration team

Method Summary
`Object` `getReloadLock()`

Method Detail

### getReloadLock

    Object getReloadLock()

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.